Skip to content
Docs

Adds a new member to a project.

POST/__remote/api.vercel.com/v1/projects/{idOrName}/members
Adds a new member to the project.
Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.projectMembers.addProjectMember({
idOrName: "prj_pavWOn1iLObbXLRiwVvzmPrTWyTf",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
requestBody: {
uid: "ndlgr43fadlPyCtREAqxxdyFK",
username: "example",
role: "ADMIN",
},
});
console.log(result);
}
run();
Response
{
"id": "icfg_1234567890"
}
AuthorizationbearerToken

Default authentication mechanism

idOrNamestringRequired
The ID or name of the Project.
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
uidstringRequired
The ID of the team member that should be added to this project.
usernamestringOptional
The username of the team member that should be added to this project.
emailstringOptional
The email of the team member that should be added to this project.
rolestringRequired
The project role of the member that will be added.
200Responds with the project ID on success.
idstringRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
500Error